Bug 108160 - WebFrameTest.DisambiguationPopup is failing
Summary: WebFrameTest.DisambiguationPopup is failing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: dfalcantara
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-29 00:24 PST by Keishi Hattori
Modified: 2013-01-31 11:41 PST (History)
4 users (show)

See Also:


Attachments
Patch (2.73 KB, patch)
2013-01-30 13:57 PST, dfalcantara
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Keishi Hattori 2013-01-29 00:24:10 PST
WebFrameTest.DisambiguationPopup is failing
Comment 1 dfalcantara 2013-01-30 13:49:56 PST
Error says:

[3603:3612:0128/154721:1245294047:FATAL:url_request_context.cc(121)] Check failed: false. Leaked 1 URLRequest(s). First URL: http://www.test.com/disambiguation_popup.html.
[3603:3612:0128/154721:1245294047:FATAL:url_request_context.cc(121)] Check failed: false. Leaked 1 URLRequest(s). First URL: http://www.test.com/disambiguation_popup.html.

One of the unit tests appears to be using the wrong html file.
Comment 2 dfalcantara 2013-01-30 13:57:30 PST
Created attachment 185557 [details]
Patch
Comment 3 Tien-Ren Chen 2013-01-30 16:27:36 PST
LGTM
Comment 4 Adam Barth 2013-01-31 11:10:38 PST
Comment on attachment 185557 [details]
Patch

Great!
Comment 5 WebKit Review Bot 2013-01-31 11:41:47 PST
Comment on attachment 185557 [details]
Patch

Clearing flags on attachment: 185557

Committed r141454: <http://trac.webkit.org/changeset/141454>
Comment 6 WebKit Review Bot 2013-01-31 11:41:51 PST
All reviewed patches have been landed.  Closing bug.